Skip to main content
GET
Get message query changes

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

since_query_state
string
limit
integer
Required range: 1 <= x <= 500
up_to_id
string
calculate_total
boolean
folder_id
string

Filter to messages in this folder ID.

q
string

Full-text search query across message fields.

from
string

Filter by sender email address or display name.

to
string

Filter by To recipient email address or display name.

cc
string

Filter by CC recipient email address or display name.

bcc
string

Filter by BCC recipient email address or display name.

subject
string

Filter by subject text.

body
string

Filter by message body text.

header_name
string

Header name to match with header_value.

header_value
string

Header value to match with header_name.

min_size_bytes
integer

Minimum message size in bytes.

Required range: x >= 0
max_size_bytes
integer

Maximum message size in bytes.

Required range: x >= 0
keyword
string

Require this message keyword, such as $seen.

not_keyword
string

Exclude messages with this keyword.

after
string

Filter to messages after this ISO 8601 timestamp.

before
string

Filter to messages before this ISO 8601 timestamp.

has_attachment
boolean

When true, only return messages with attachments.

is_unread
boolean

When true, only return unread messages.

sort_by
enum<string>
Available options:
received_at,
sent_at,
subject,
from,
to,
size_bytes
sort_direction
enum<string>
Available options:
asc,
desc
mailbox_id
string

Mailbox public ID to target when the credential grants access to more than one mailbox. Omit when the credential is scoped to exactly one mailbox.

Response

Message query changes

meta
object
required
ok
enum<boolean>
required
Available options:
true
data
object
required